| Home | Libraries | People | FAQ | More

## Function template generate

boost::compute::generate

## Synopsis

    // In header: <boost/compute/algorithm/generate.hpp>

    template<typename OutputIterator, typename Generator>
      void generate(OutputIterator first, OutputIterator last,
                    Generator generator,
                    command_queue & queue = system::default_queue());

## Description

Stores the result of `generator` for each element in the range [`first`, `last`).

Space complexity: \Omega(1)